<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <link rel="stylesheet" href="styles.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Hnefatafl</title>
    <script type="module" src="main.js" defer></script>
  </head>

  <body>
  <script>
    const { invoke } = window.__TAURI__.tauri;
  </script>
    <div class="container">
      <h1>Welcome to Hnefatfl!</h1>

      <div class="row">
        <script>
          function onGameSelect(game) {
              let hide_show = document.getElementById("game-play-learn-buttons");
              if (hide_show.style.display === "none"){
                  hide_show.style.display = "block";
                  invoke("change_game", {game: game})
              }
          }
        </script>
<!--        <a class="game_selector" href="ai_play_screen.html">play_ai</a>-->
<!--          https://en.wikipedia.org/wiki/Tafl_games-->
          <div class = "game-play">
            <button onclick="onGameSelect('hen')">Hnefatafl (Default)</button>
            <button onclick="onGameSelect('ard')">Ard Ri (Not Implemented)</button>
            <button onclick="onGameSelect('bra')">Brandubh (Not Implemented)</button>
          </div>

      </div>
      <div id="game-play-learn-buttons" style="display: none">
        <a class="game_selector" href="play_screen.html">Play</a>
        <a class="game_selector" href="ai_play_screen.html">Play Ai</a>
        <a class="game_selector" href="#">Learn To play</a>
      </div>
    </div>
  </body>
</html>
